<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>fvMesh &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>fvMesh
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 1.9% of total for derived types.</p>Including implementation: 943 statements,  7.9% of total for derived types.">21 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/flubioMesh.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/flubiomesh.f03.html'>flubioMesh.f03</a></li>
    
     <li><a href='../module/flubiomesh.html'>flubioMesh</a></li>
    
  
     <li class="active">fvMesh</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberofpoints">numberOfPoints</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-vertex">vertex</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberoffaces">numberOfFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-maxfaces">maxFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberoffacenodes">numberOfFaceNodes</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-fvertex">fvertex</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-owner">owner</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-neighbour">neighbour</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-fcentroid">fcentroid</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-sf">Sf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-nf">nf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-area">area</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-cn">CN</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ecn">eCN</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-gdiff">gDiff</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-gf">gf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-tf">Tf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ef">Ef</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-walldist">wallDist</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-facesign">faceSign</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-iownerneighbourcoef">iOwnerNeighbourCoef</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ineighbourownercoef">iNeighbourOwnerCoef</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-tfp">Tfp</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-efp">Efp</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-skw_gf">skw_gf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-fcentroid_skw">fcentroid_skw</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberofelements">numberOfElements</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ifaces">iFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-elmfacesign">elmFaceSign</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ineighbours">iNeighbours</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-localneighbours">localNeighbours</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberofneighbours">numberOfNeighbours</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-evertex">evertex</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberofregions%7E2">numberOfRegions</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-meshregions">meshRegions</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-volume">volume</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-oldvolume">oldVolume</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-centroid">centroid</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-cellcenters">cellCenters</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-lsq_mat">lsq_mat</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-cellglobaladdr">cellGlobalAddr</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-conn">conn</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ghost">ghost</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-periodicfaces">periodicFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-poffset">poffset</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-neigh">neigh</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-boundaries">boundaries</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-meshtree">meshTree</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-readmeshpoints">readMeshPoints</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-readmeshfaces">readMeshFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-readglobalcelladdr">readGlobalCellAddr</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-buildelements">buildElements</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-createmeshregions">createMeshRegions</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-getregionindexbyname">getRegionIndexByName</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-setupmeshregion">setUpMeshRegion</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-readmeshfromfiles">readMeshFromFiles</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-setglobalconn">setGlobalconn</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-findneighbours">findNeighbours</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-createmeshsearchtree">createMeshSearchTree</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-findpointownership">findPointOwnership</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-compute_geom">compute_geom</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-computeareas">computeAreas</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-computevolumes">computeVolumes</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-computeinterpolationweights">computeInterpolationWeights</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-nonorthogonalcorrection">nonOrthogonalCorrection</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-pressurenonorthogonalcorrection">pressureNonOrthogonalCorrection</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-mpi_create_ghosts_i">mpi_create_ghosts_I</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-mpi_create_periodic_ghost_i">mpi_create_periodic_ghost_I</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-syncprocessorboundaries">syncProcessorBoundaries</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-leastsquarematrix">leastSquareMatrix</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-savemesh">saveMesh</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public, extends(<a href='../type/grid_elements.html'>grid_elements</a>) :: fvMesh</h2>
    
    <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Inherits</h3>
      </div>
      <div class="panel-body">
    <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: type~~fvmesh~~InheritsGraph Pages: 1 -->
<svg id="typefvmeshInheritsGraph" width="641pt" height="194pt"
 viewBox="0.00 0.00 641.00 194.49" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="type~~fvmesh~~InheritsGraph" class="graph" transform="scale(.6848 .6848) rotate(0) translate(4 280)">
<title>type~~fvmesh~~InheritsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-280 932,-280 932,4 -4,4"/>
<!-- type~fvmesh -->
<g id="type~~fvmesh~~InheritsGraph_node1" class="node">
<title>type~fvmesh</title>
<polygon fill="none" stroke="#000000" points="928,-194 874,-194 874,-170 928,-170 928,-194"/>
<text text-anchor="middle" x="901" y="-179.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">fvMesh</text>
</g>
<!-- fvBoundaries -->
<g id="type~~fvmesh~~InheritsGraph_node2" class="node">
<title>fvBoundaries</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="788.5,-236 713.5,-236 713.5,-212 788.5,-212 788.5,-236"/>
<text text-anchor="middle" x="751" y="-221.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">fvBoundaries</text>
</g>
<!-- type~fvmesh&#45;&gt;fvBoundaries -->
<g id="type~~fvmesh~~InheritsGraph_edge1" class="edge">
<title>type~fvmesh&#45;&gt;fvBoundaries</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M873.9266,-190.62C868.031,-192.4419 861.8169,-194.3203 856,-196 837.189,-201.4318 816.3735,-207.0612 798.2702,-211.8354"/>
<polygon fill="#000000" stroke="#000000" points="797.3063,-208.4697 788.5219,-214.393 799.0827,-215.2406 797.3063,-208.4697"/>
<text text-anchor="middle" x="832.5" y="-210.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">boundaries</text>
</g>
<!-- type~grid_elements -->
<g id="type~~fvmesh~~InheritsGraph_node3" class="node">
<title>type~grid_elements</title>
<g id="a_type~~fvmesh~~InheritsGraph_node3"><a xlink:href=".././type/grid_elements.html" xlink:title="grid_elements">
<polygon fill="#5cb85c" stroke="#5cb85c" points="791,-194 711,-194 711,-170 791,-170 791,-194"/>
<text text-anchor="middle" x="751" y="-179.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">grid_elements</text>
</a>
</g>
</g>
<!-- type~fvmesh&#45;&gt;type~grid_elements -->
<g id="type~~fvmesh~~InheritsGraph_edge3" class="edge">
<title>type~fvmesh&#45;&gt;type~grid_elements</title>
<path fill="none" stroke="#000000" d="M873.8361,-182C853.669,-182 825.582,-182 801.355,-182"/>
<polygon fill="#000000" stroke="#000000" points="801.2427,-178.5001 791.2427,-182 801.2427,-185.5001 801.2427,-178.5001"/>
</g>
<!-- kdtree2 -->
<g id="type~~fvmesh~~InheritsGraph_node4" class="node">
<title>kdtree2</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="778,-152 724,-152 724,-128 778,-128 778,-152"/>
<text text-anchor="middle" x="751" y="-137.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">kdtree2</text>
</g>
<!-- type~fvmesh&#45;&gt;kdtree2 -->
<g id="type~~fvmesh~~InheritsGraph_edge2" class="edge">
<title>type~fvmesh&#45;&gt;kdtree2</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M873.9266,-173.38C868.031,-171.5581 861.8169,-169.6797 856,-168 833.5164,-161.5077 808.1693,-154.7331 788.0123,-149.4741"/>
<polygon fill="#000000" stroke="#000000" points="788.8378,-146.0724 778.2791,-146.947 787.0786,-152.8478 788.8378,-146.0724"/>
<text text-anchor="middle" x="832.5" y="-170.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">meshTree</text>
</g>
<!-- type~grid_faces -->
<g id="type~~fvmesh~~InheritsGraph_node5" class="node">
<title>type~grid_faces</title>
<g id="a_type~~fvmesh~~InheritsGraph_node5"><a xlink:href=".././type/grid_faces.html" xlink:title="grid_faces">
<polygon fill="#5cb85c" stroke="#5cb85c" points="526,-257 464,-257 464,-233 526,-233 526,-257"/>
<text text-anchor="middle" x="495" y="-242.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">grid_faces</text>
</a>
</g>
</g>
<!-- type~grid_elements&#45;&gt;type~grid_faces -->
<g id="type~~fvmesh~~InheritsGraph_edge6" class="edge">
<title>type~grid_elements&#45;&gt;type~grid_faces</title>
<path fill="none" stroke="#000000" d="M664,-205C642.5886,-209.0762 638.1197,-213.6131 617,-219 590.3122,-225.8071 560.0308,-232.2677 536.3131,-237.046"/>
<polygon fill="#000000" stroke="#000000" points="535.3706,-233.6649 526.2479,-239.0525 536.7392,-240.5299 535.3706,-233.6649"/>
</g>
<!-- integerCellStruct -->
<g id="type~~fvmesh~~InheritsGraph_node6" class="node">
<title>integerCellStruct</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="276,-234 185,-234 185,-210 276,-210 276,-234"/>
<text text-anchor="middle" x="230.5" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">integerCellStruct</text>
</g>
<!-- type~grid_elements&#45;&gt;integerCellStruct -->
<g id="type~~fvmesh~~InheritsGraph_edge4" class="edge">
<title>type~grid_elements&#45;&gt;integerCellStruct</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M710.988,-193.8393C696.3126,-197.8465 679.5009,-202.049 664,-205"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M664,-205C600.4439,-217.0996 437.6364,-211.1866 373,-214 344.3711,-215.2461 312.5272,-216.999 286.2156,-218.5465"/>
<polygon fill="#000000" stroke="#000000" points="285.8253,-215.0634 276.0504,-219.1502 286.2404,-222.0511 285.8253,-215.0634"/>
<text text-anchor="middle" x="495" y="-216.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">iFaces, elmFaceSign, iNeighbours, localNeighbours, conn</text>
</g>
<!-- type~region -->
<g id="type~~fvmesh~~InheritsGraph_node7" class="node">
<title>type~region</title>
<g id="a_type~~fvmesh~~InheritsGraph_node7"><a xlink:href=".././type/region.html" xlink:title="region">
<polygon fill="#5cb85c" stroke="#5cb85c" points="522,-129 468,-129 468,-105 522,-105 522,-129"/>
<text text-anchor="middle" x="495" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">region</text>
</a>
</g>
</g>
<!-- type~grid_elements&#45;&gt;type~region -->
<g id="type~~fvmesh~~InheritsGraph_edge5" class="edge">
<title>type~grid_elements&#45;&gt;type~region</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M710.7184,-171.7722C661.6565,-159.3151 579.4662,-138.4465 531.9594,-126.3842"/>
<polygon fill="#000000" stroke="#000000" points="532.6428,-122.9467 522.0889,-123.8781 530.92,-129.7315 532.6428,-122.9467"/>
<text text-anchor="middle" x="664" y="-168.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">meshRegions</text>
</g>
<!-- type~grid_faces&#45;&gt;integerCellStruct -->
<g id="type~~fvmesh~~InheritsGraph_edge7" class="edge">
<title>type~grid_faces&#45;&gt;integerCellStruct</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M463.8807,-242.294C420.2617,-238.501 340.2358,-231.5422 286.2047,-226.8439"/>
<polygon fill="#000000" stroke="#000000" points="286.3642,-223.3446 276.0985,-225.9651 285.7577,-230.3183 286.3642,-223.3446"/>
<text text-anchor="middle" x="324.5" y="-234.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">fvertex</text>
</g>
<!-- type~grid_nodes -->
<g id="type~~fvmesh~~InheritsGraph_node10" class="node">
<title>type~grid_nodes</title>
<g id="a_type~~fvmesh~~InheritsGraph_node10"><a xlink:href=".././type/grid_nodes.html" xlink:title="grid_nodes">
<polygon fill="#5cb85c" stroke="#5cb85c" points="263.5,-276 197.5,-276 197.5,-252 263.5,-252 263.5,-276"/>
<text text-anchor="middle" x="230.5" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">grid_nodes</text>
</a>
</g>
</g>
<!-- type~grid_faces&#45;&gt;type~grid_nodes -->
<g id="type~~fvmesh~~InheritsGraph_edge8" class="edge">
<title>type~grid_faces&#45;&gt;type~grid_nodes</title>
<path fill="none" stroke="#000000" d="M463.8807,-247.2354C416.7677,-250.6197 327.1816,-257.055 273.753,-260.893"/>
<polygon fill="#000000" stroke="#000000" points="273.2962,-257.4167 263.5727,-261.6243 273.7978,-264.3987 273.2962,-257.4167"/>
</g>
<!-- type~stl -->
<g id="type~~fvmesh~~InheritsGraph_node8" class="node">
<title>type~stl</title>
<g id="a_type~~fvmesh~~InheritsGraph_node8"><a xlink:href=".././type/stl.html" xlink:title="stl">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-66 203.5,-66 203.5,-42 257.5,-42 257.5,-66"/>
<text text-anchor="middle" x="230.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">stl</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~stl -->
<g id="type~~fvmesh~~InheritsGraph_edge13" class="edge">
<title>type~region&#45;&gt;type~stl</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M467.6901,-110.4952C419.9504,-99.1243 321.2933,-75.6256 267.4813,-62.8084"/>
<polygon fill="#000000" stroke="#000000" points="268.2002,-59.3818 257.6613,-60.4694 266.5782,-66.1913 268.2002,-59.3818"/>
<text text-anchor="middle" x="324.5" y="-86.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionSTL</text>
</g>
<!-- type~cone -->
<g id="type~~fvmesh~~InheritsGraph_node9" class="node">
<title>type~cone</title>
<g id="a_type~~fvmesh~~InheritsGraph_node9"><a xlink:href=".././type/cone.html" xlink:title="cone">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-24 203.5,-24 203.5,0 257.5,0 257.5,-24"/>
<text text-anchor="middle" x="230.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">cone</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~cone -->
<g id="type~~fvmesh~~InheritsGraph_edge12" class="edge">
<title>type~region&#45;&gt;type~cone</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M468.9143,-104.9698C440.9707,-92.2396 395.2073,-71.8412 355,-56 325.9434,-44.5521 292.5553,-32.8281 267.6742,-24.3637"/>
<polygon fill="#000000" stroke="#000000" points="268.5023,-20.9491 257.908,-21.06 266.2591,-27.5799 268.5023,-20.9491"/>
<text text-anchor="middle" x="324.5" y="-58.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionCone</text>
</g>
<!-- type~box -->
<g id="type~~fvmesh~~InheritsGraph_node11" class="node">
<title>type~box</title>
<g id="a_type~~fvmesh~~InheritsGraph_node11"><a xlink:href=".././type/box.html" xlink:title="box">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-192 203.5,-192 203.5,-168 257.5,-168 257.5,-192"/>
<text text-anchor="middle" x="230.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">box</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~box -->
<g id="type~~fvmesh~~InheritsGraph_edge9" class="edge">
<title>type~region&#45;&gt;type~box</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M467.6901,-123.5048C419.9504,-134.8757 321.2933,-158.3744 267.4813,-171.1916"/>
<polygon fill="#000000" stroke="#000000" points="266.5782,-167.8087 257.6613,-173.5306 268.2002,-174.6182 266.5782,-167.8087"/>
<text text-anchor="middle" x="324.5" y="-166.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionBox</text>
</g>
<!-- type~cylinder -->
<g id="type~~fvmesh~~InheritsGraph_node12" class="node">
<title>type~cylinder</title>
<g id="a_type~~fvmesh~~InheritsGraph_node12"><a xlink:href=".././type/cylinder.html" xlink:title="cylinder">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-150 203.5,-150 203.5,-126 257.5,-126 257.5,-150"/>
<text text-anchor="middle" x="230.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">cylinder</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~cylinder -->
<g id="type~~fvmesh~~InheritsGraph_edge10" class="edge">
<title>type~region&#45;&gt;type~cylinder</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M467.6901,-119.1683C420.0496,-122.9507 321.7033,-130.7589 267.8175,-135.0372"/>
<polygon fill="#000000" stroke="#000000" points="267.3529,-131.563 257.6613,-135.8435 267.907,-138.541 267.3529,-131.563"/>
<text text-anchor="middle" x="324.5" y="-135.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionCylinder</text>
</g>
<!-- type~sphere -->
<g id="type~~fvmesh~~InheritsGraph_node13" class="node">
<title>type~sphere</title>
<g id="a_type~~fvmesh~~InheritsGraph_node13"><a xlink:href=".././type/sphere.html" xlink:title="sphere">
<polygon fill="#5cb85c" stroke="#5cb85c" points="257.5,-108 203.5,-108 203.5,-84 257.5,-84 257.5,-108"/>
<text text-anchor="middle" x="230.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">sphere</text>
</a>
</g>
</g>
<!-- type~region&#45;&gt;type~sphere -->
<g id="type~~fvmesh~~InheritsGraph_edge11" class="edge">
<title>type~region&#45;&gt;type~sphere</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M467.6901,-114.8317C420.0496,-111.0493 321.7033,-103.2411 267.8175,-98.9628"/>
<polygon fill="#000000" stroke="#000000" points="267.907,-95.459 257.6613,-98.1565 267.3529,-102.437 267.907,-95.459"/>
<text text-anchor="middle" x="324.5" y="-108.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">regionSphere</text>
</g>
<!-- surface_stl_object -->
<g id="type~~fvmesh~~InheritsGraph_node14" class="node">
<title>surface_stl_object</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="99,-87 0,-87 0,-63 99,-63 99,-87"/>
<text text-anchor="middle" x="49.5" y="-72.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">surface_stl_object</text>
</g>
<!-- type~stl&#45;&gt;surface_stl_object -->
<g id="type~~fvmesh~~InheritsGraph_edge15" class="edge">
<title>type~stl&#45;&gt;surface_stl_object</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M203.4025,-57.1439C178.5747,-60.0245 140.9531,-64.3894 109.1219,-68.0825"/>
<polygon fill="#000000" stroke="#000000" points="108.5442,-64.626 99.0142,-69.2553 109.351,-71.5794 108.5442,-64.626"/>
<text text-anchor="middle" x="142" y="-69.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">STLSurface</text>
</g>
<!-- file_stl_object -->
<g id="type~~fvmesh~~InheritsGraph_node15" class="node">
<title>file_stl_object</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="88,-45 11,-45 11,-21 88,-21 88,-45"/>
<text text-anchor="middle" x="49.5" y="-30.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">file_stl_object</text>
</g>
<!-- type~stl&#45;&gt;file_stl_object -->
<g id="type~~fvmesh~~InheritsGraph_edge14" class="edge">
<title>type~stl&#45;&gt;file_stl_object</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M203.3857,-48.7706C192.1586,-46.7442 178.9844,-44.545 167,-43 144.49,-40.098 119.4412,-37.8341 98.2736,-36.1999"/>
<polygon fill="#000000" stroke="#000000" points="98.4554,-32.7038 88.2222,-35.4482 97.9333,-39.6843 98.4554,-32.7038"/>
<text text-anchor="middle" x="142" y="-45.4" font-family="Helvetica,sans-Serif" font-size="9.50" fill="#000000">STLFile</text>
</g>
</g>
</svg>
</div><script>var pantypefvmeshInheritsGraph = svgPanZoom('#typefvmeshInheritsGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="178pt" height="32pt"
 viewBox="0.00 0.00 177.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 173.5,-28 173.5,4 -4,4"/>
<!-- Type -->
<g id="node1" class="node">
<title>Type</title>
<polygon fill="#5cb85c" stroke="#5cb85c" points="54,-24 0,-24 0,0 54,0 54,-24"/>
<text text-anchor="middle" x="27" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Type</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="169.5,-24 72.5,-24 72.5,0 169.5,0 169.5,-24"/>
<text text-anchor="middle" x="121" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a derived type to the parent type which it
    extends. Dashed arrows point from a derived type to the other
    types it contains as a components, with a label listing the name(s) of
    said component(s).
    </p>
    </div></div></div></div>
      </div>
    </div>
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberofpoints">numberOfPoints</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-vertex">vertex</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberoffaces">numberOfFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-maxfaces">maxFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberoffacenodes">numberOfFaceNodes</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-fvertex">fvertex</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-owner">owner</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-neighbour">neighbour</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-fcentroid">fcentroid</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-sf">Sf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-nf">nf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-area">area</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-cn">CN</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ecn">eCN</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-gdiff">gDiff</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-gf">gf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-tf">Tf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ef">Ef</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-walldist">wallDist</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-facesign">faceSign</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-iownerneighbourcoef">iOwnerNeighbourCoef</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ineighbourownercoef">iNeighbourOwnerCoef</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-tfp">Tfp</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-efp">Efp</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-skw_gf">skw_gf</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-fcentroid_skw">fcentroid_skw</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberofelements">numberOfElements</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ifaces">iFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-elmfacesign">elmFaceSign</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ineighbours">iNeighbours</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-localneighbours">localNeighbours</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberofneighbours">numberOfNeighbours</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-evertex">evertex</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-numberofregions%7E2">numberOfRegions</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-meshregions">meshRegions</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-volume">volume</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-oldvolume">oldVolume</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-centroid">centroid</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-cellcenters">cellCenters</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-lsq_mat">lsq_mat</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-cellglobaladdr">cellGlobalAddr</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-conn">conn</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-ghost">ghost</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-periodicfaces">periodicFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-poffset">poffset</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-neigh">neigh</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-boundaries">boundaries</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#variable-meshtree">meshTree</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-readmeshpoints">readMeshPoints</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-readmeshfaces">readMeshFaces</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-readglobalcelladdr">readGlobalCellAddr</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-buildelements">buildElements</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-createmeshregions">createMeshRegions</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-getregionindexbyname">getRegionIndexByName</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-setupmeshregion">setUpMeshRegion</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-readmeshfromfiles">readMeshFromFiles</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-setglobalconn">setGlobalconn</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-findneighbours">findNeighbours</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-createmeshsearchtree">createMeshSearchTree</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-findpointownership">findPointOwnership</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-compute_geom">compute_geom</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-computeareas">computeAreas</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-computevolumes">computeVolumes</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-computeinterpolationweights">computeInterpolationWeights</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-nonorthogonalcorrection">nonOrthogonalCorrection</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-pressurenonorthogonalcorrection">pressureNonOrthogonalCorrection</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-mpi_create_ghosts_i">mpi_create_ghosts_I</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-mpi_create_periodic_ghost_i">mpi_create_periodic_ghost_I</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-syncprocessorboundaries">syncProcessorBoundaries</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-leastsquarematrix">leastSquareMatrix</a>
      
      <a class="list-group-item" href="../type/fvmesh.html#boundprocedure-savemesh">saveMesh</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofpoints"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfPoints</strong></td><td></td><td></td><td><p>Number of vertex in the mesh</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-vertex"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>vertex</strong></td><td></td><td></td><td><p>Cartesian coordinates of each vertex in the mesh</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberoffaces"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfFaces</strong></td><td></td><td></td><td><p>Number of faces in the mesh. Same as numberOfFaces</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-maxfaces"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>maxFaces</strong></td><td></td><td></td><td><p>Maxium number of faces composing grid elements.
It is arbitrary set to 6, but it can be changed if required.</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberoffacenodes"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>numberOfFaceNodes</strong></td><td></td><td></td><td><p>Number vertices composing each face</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fvertex"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>fvertex</strong></td><td></td><td></td><td><p>Structure containing the vertex indeces composing each face</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-owner"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>owner</strong></td><td></td><td></td><td><p>Array containing the list of owner cells</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-neighbour"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>neighbour</strong></td><td></td><td></td><td><p>Array containing the list of neighbour cells</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fcentroid"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>fcentroid</strong></td><td></td><td></td><td><p>Cartesian coordinates of the face center</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-sf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Sf</strong></td><td></td><td></td><td><p>Face normal pointing from owner to neighbour cell. The vector magnitude is the face area</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>nf</strong></td><td></td><td></td><td><p>Face normal pointing from owner to neighbour. The vactor magniute is one</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-area"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>area</strong></td><td></td><td></td><td><p>Face area. Same as mag(Sf)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cn"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>CN</strong></td><td></td><td></td><td><p>Distance vector, joining owner cell center with neighbour cell center</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ecn"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>eCN</strong></td><td></td><td></td><td><p>Versor  joining owner cell center with neighbour cell center (i.e. CN/|CN|)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gdiff"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>gDiff</strong></td><td></td><td></td><td><p>Diffusion weighting factor, abs(Sf)/abs(CN)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-gf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>gf</strong></td><td></td><td></td><td><p>Linear interpolation weighting factor</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-tf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Tf</strong></td><td></td><td></td><td><p>Non-orthogonality vector, i.e. Sf-Ef</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ef"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Ef</strong></td><td></td><td></td><td><p>Vector joining owner cell center with neighbour cell center. It definitaion is approach dependent</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-walldist"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>wallDist</strong></td><td></td><td></td><td><p>Reciprocal of gDiff, i.e. 1/gDiff</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-facesign"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>faceSign</strong></td><td></td><td></td><td><p>Array needed during the cell volume calculation. It is +1 if the face belongs to the owner cell, -1 otherwise</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-iownerneighbourcoef"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>iOwnerNeighbourCoef</strong></td><td></td><td></td><td><p>Index used during coefficient assembling</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ineighbourownercoef"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>iNeighbourOwnerCoef</strong></td><td></td><td></td><td><p>Index used during coefficient assembling</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-tfp"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Tfp</strong></td><td></td><td></td><td><p>Non-orthogonality vector for the pressure equation diffusion term</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-efp"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>Efp</strong></td><td></td><td></td><td><p>Vector needed for the pressure diffuive fluxes</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-skw_gf"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>skw_gf</strong></td><td></td><td></td><td><p>Skew-corrected interpolation weighting factor</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-fcentroid_skw"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>fcentroid_skw</strong></td><td></td><td></td><td><p>Skew-corrected face centers</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofelements"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfElements</strong></td><td></td><td></td><td><p>Number of cells in the processor boundaries</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ifaces"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>iFaces</strong></td><td></td><td></td><td><p>List of faces composing a cell</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-elmfacesign"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>elmFaceSign</strong></td><td></td><td></td><td><p>List of faces composing a cell</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ineighbours"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>iNeighbours</strong></td><td></td><td></td><td><p>List of cells neighbouring of a target cell. The ghost neighbours have the GLOBAL index!</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-localneighbours"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>localNeighbours</strong></td><td></td><td></td><td><p>List of local cells neighbouring of a target cell.</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofneighbours"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>numberOfNeighbours</strong></td><td></td><td></td><td><p>Number of neighbours of a cell (i.e. number of faces for an internal cell)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-evertex"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>evertex</strong></td><td></td><td></td><td><p>List of vertex composing a cell</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofregions%7E2"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfRegions</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-meshregions"></span>type(<a href='../type/region.html'>region</a>),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>meshRegions</strong></td><td></td><td></td><td><p>List of user defined regions</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-volume"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>volume</strong></td><td></td><td></td><td><p>Cell volume</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-oldvolume"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>oldVolume</strong></td><td></td><td></td><td><p>Useless :)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-centroid"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>centroid</strong></td><td></td><td></td><td><p>Cartesian coordinates of a cell cell center</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cellcenters"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>cellCenters</strong></td><td></td><td></td><td><p>Cartesian coordinates of a cell cell center</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-lsq_mat"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>lsq_mat</strong></td><td></td><td></td><td><p>Least squares matrix. Mind that it is symmetric</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-cellglobaladdr"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>cellGlobalAddr</strong></td><td></td><td></td><td><p>Array linking the cell local address to the global one</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-conn"></span>type(integerCellStruct),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>conn</strong></td><td></td><td></td><td><p>mesh connectivities</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-ghost"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:,:), allocatable</td><td>::</td>
  <td><strong>ghost</strong></td><td></td><td></td><td><p>Ghost cell centroids near a processor boundary</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-periodicfaces"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:,:), allocatable</td><td>::</td>
  <td><strong>periodicFaces</strong></td><td></td><td></td><td><p>periodicity is to re-implement</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-poffset"></span>real,</td>
  
  <td>public,</td>
  <td>dimension(:,:,:), allocatable</td><td>::</td>
  <td><strong>poffset</strong></td><td></td><td></td><td><p>Offset vector between periodic faces</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-neigh"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>neigh</strong></td><td></td><td></td><td><p>neighbour periodic boundary</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-boundaries"></span>type(fvBoundaries),</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>boundaries</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-meshtree"></span>type(kdtree2),</td>
  
  <td>public,</td>
  <td>pointer</td><td>::</td>
  <td><strong>meshTree</strong></td><td></td><td></td><td></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readmeshpoints"></span><h3>procedure, public :: <strong>readMeshPoints</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readmeshpoints.html'>readMeshPoints</a>(this)
    
    
   
</h3>
    







<p>readMeshPoints reads the nodes composing the mesh from the mesh files.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_nodes.html'>grid_nodes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readmeshfaces"></span><h3>procedure, public :: <strong>readMeshFaces</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readmeshfaces.html'>readMeshFaces</a>(this)
    
    
   
</h3>
    







<p>readMeshFaces reads the faces composing the mesh from the mesh files.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_faces.html'>grid_faces</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readglobalcelladdr"></span><h3>procedure, public :: <strong>readGlobalCellAddr</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readglobalcelladdr.html'>readGlobalCellAddr</a>(this)
    
    
   
</h3>
    







<p>readGlobalCellAddr reads the global cell adress of the mesh cells.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-buildelements"></span><h3>procedure, public :: <strong>buildElements</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/buildelements.html'>buildElements</a>(this)
    
    
   
</h3>
    







<p>buildElements assembles together the mesh faces to form mesh cells.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-createmeshregions"></span><h3>procedure, public :: <strong>createMeshRegions</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/createmeshregions.html'>createMeshRegions</a>(this)
    
    
   
</h3>
    







<p>createMeshRegions create the regions with the mesha as defined in flubioMeshRegions.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-getregionindexbyname"></span><h3>procedure, public :: <strong>getRegionIndexByName</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public function <a href='../proc/getregionindexbyname.html'>getRegionIndexByName</a>(this, targetRegion) result(regionIndex)
    
    
   
</h3>
    







<p>getRegionIndexByName return the index of the target region in the regiuon array.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>targetRegion</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>integer
  </small></h4>
  
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setupmeshregion"></span><h3>procedure, public :: <strong>setUpMeshRegion</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setupmeshregion.html'>setUpMeshRegion</a>(this, iRegion)
    
    
   
</h3>
    







<p>setUpRegion sets up the box region (cell value equals to 1 are with the region)</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/grid_elements.html'>grid_elements</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iRegion</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readmeshfromfiles"></span><h3>procedure, public :: <strong>readMeshFromFiles</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readmeshfromfiles.html'>readMeshFromFiles</a>(this)
    
    
   
</h3>
    







<p>readMeshFromFiles reads the mesh from the mesh files in the "grid/" folder.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-setglobalconn"></span><h3>procedure, public :: <strong>setGlobalconn</strong>  => <a href='../proc/setglobalconn.html'>setGlobalConn</a> 
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/setglobalconn.html'>setGlobalConn</a>(this)
    
    
   
</h3>
    







<p>setGlobalConn build the global connectivity table between the elements.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-findneighbours"></span><h3>procedure, public :: <strong>findNeighbours</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/findneighbours.html'>findNeighbours</a>(this)
    
    
   
</h3>
    







<p>findNeighbours finds the number of neighbours for each element composing the mesh.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-createmeshsearchtree"></span><h3>procedure, public :: <strong>createMeshSearchTree</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/createmeshsearchtree.html'>createMeshSearchTree</a>(this)
    
    
   
</h3>
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-findpointownership"></span><h3>procedure, public :: <strong>findPointOwnership</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public function <a href='../proc/findpointownership.html'>findPointOwnership</a>(this, point) result(index)
    
    
   
</h3>
    







<p>findPointOwnership runs the post processing task for the target line probing object.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>point</strong>(3)</td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>integer
  </small></h4>
  
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-compute_geom"></span><h3>procedure, public :: <strong>compute_geom</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/compute_geom.html'>compute_geom</a>(this)
    
    
   
</h3>
    







<p>compute_geom calculates all the mesh geometrical information needed by FLUBIO (e.g. volumes, faces normals, etc. ).</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computeareas"></span><h3>procedure, public :: <strong>computeAreas</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computeareas.html'>computeAreas</a>(this)
    
    
   
</h3>
    







<p>computeAreas computes the normal vector (direction and magnitude) mesh faces.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computevolumes"></span><h3>procedure, public :: <strong>computeVolumes</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computevolumes.html'>computeVolumes</a>(this)
    
    
   
</h3>
    







<p>computeVolumes computes the cell volumes.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-computeinterpolationweights"></span><h3>procedure, public :: <strong>computeInterpolationWeights</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/computeinterpolationweights.html'>computeInterpolationWeights</a>(this)
    
    
   
</h3>
    







<p>computeInterpolationWeights computes the linear interpolation weights at each face.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-nonorthogonalcorrection"></span><h3>procedure, public :: <strong>nonOrthogonalCorrection</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/nonorthogonalcorrection.html'>nonOrthogonalCorrection</a>(this, iFace, Ef)
    
    
   
</h3>
    







<p>nonOrthogonalCorrection returns one of the non-orthogolal decomposion method.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iFace</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>Ef</strong>(3)</td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-pressurenonorthogonalcorrection"></span><h3>procedure, public :: <strong>pressureNonOrthogonalCorrection</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/pressurenonorthogonalcorrection.html'>pressureNonOrthogonalCorrection</a>(this, iFace, Sf, Df)
    
    
   
</h3>
    







<p>nonOrthogonalCorrection returns a non-orthogolal decomposion for the pressure-correction laplace operator.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>iFace</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>Sf</strong>(3)</td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>real</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>Df</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-mpi_create_ghosts_i"></span><h3>procedure, public :: <strong>mpi_create_ghosts_I</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/mpi_create_ghosts_i.html'>mpi_create_ghosts_I</a>(this)
    
    
   
</h3>
    







<p>mpi_create_ghosts_I creates the ghost cells and connectivities between two partions.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-mpi_create_periodic_ghost_i"></span><h3>procedure, public :: <strong>mpi_create_periodic_ghost_I</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/mpi_create_periodic_ghost_i.html'>mpi_create_periodic_ghost_I</a>(this)
    
    
   
</h3>
    







<p>mpi_create_periodic_ghost_I creates periodicity between two partitions.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-syncprocessorboundaries"></span><h3>procedure, public :: <strong>syncProcessorBoundaries</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/syncprocessorboundaries.html'>syncProcessorBoundaries</a>(this)
    
    
   
</h3>
    







<p>syncProcessorBoundaries reoders the position of the ghost cells beloging to processor boundaries.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-leastsquarematrix"></span><h3>procedure, public :: <strong>leastSquareMatrix</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/leastsquarematrix.html'>leastSquareMatrix</a>(this)
    
    
   
</h3>
    







<p>leastSquareMatrix computes the least square matrix to be used in least squares gradient calculation or interolation.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-savemesh"></span><h3>procedure, public :: <strong>saveMesh</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/savemesh.html'>saveMesh</a>(this)
    
    
   
</h3>
    







<p>save the mesh data in a binary file.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvmesh.html'>fvMesh</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>